Computer Security
[EN] securityvulns.ru no-pyccku


libpng information leak
Published:29.06.2009
Source:
SecurityVulns ID:10026
Type:library
Threat Level:
5/10
Description:During displaying of 1-bit image with width values that are not divisible by 8 data from non-initialized memory is used.
Affected:libpng : libpng 1.2
CVE:CVE-2009-2042 (libpng before 1.2.37 does not properly parse 1-bit interlaced images with width values that are not divisible by 8, which causes libpng to include uninitialized bits in certain rows of a PNG file and might allow remote attackers to read portions of sensitive memory via "out-of-bounds pixels" in the file.)
Original documentdocumentGENTOO, [ GLSA 200906-01 ] libpng: Information disclosure (29.06.2009)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod